// requires
const express = require('express')
const path = require('path')
const fs = require('fs')

// express
const app = express()

// webpack
const wp = require('./webpack')
wp.serverConfig(app)

// requêtes
const queries = require("./queries")

// views
app.set('view engine', 'pug')
app.set("views", path.join(__dirname, "views"))


// routes

app.get('/', (req, res) => {
  queries.home( function(items){
    return res.render("index", { items: items })
  })
})

app.get('/:slug', (req, res) => {
  queries.show( req.params.slug, function(item){
    return res.render("show", { item: item })        
  })
})

// Init
app.listen(3000, () => console.log('Example app listening on port 3000!') )